<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:template match="/">
    <w:wordDocument xmlns:w="http://schemas.microsoft.com/office/word/2003/wordml">
      <w:body>

        <xsl:for-each select="map/entry">
          <!--Apoderado-->
          <w:p>
            <w:r>
              <w:t>Apoderado</w:t>
            </w:r>
          </w:p>
          <w:p>
            <w:r>
              <w:t>

                <xsl:value-of select="Apoderado/nombre"/>:<xsl:value-of select="Apoderado/rut"/>
              </w:t>
            </w:r>
          </w:p>
          <!--Notas-->
          <w:p>
            <w:r>
              <w:t>Notas</w:t>
            </w:r>
          </w:p>

          <xsl:for-each select="logica.reportes.ReporteApoderado/notas/entry">
            <w:p>
              <w:r>
                <w:t>

                  <xsl:value-of select="Estudiante/nombre"/>/<xsl:value-of select="Estudiante/rut"/>
                </w:t>
              </w:r>
            </w:p>

            <xsl:for-each select="Nota-array/Nota">
              <w:p>
                <w:r>
                  <w:t>Asignatura:<xsl:value-of select="asignatura__id__fk/nombre"/></w:t>
                </w:r>
              </w:p>
              <w:p>
                <w:r>
                  <w:t>Nota:<xsl:value-of select="Nota/valor"/></w:t>
                </w:r>
              </w:p>
            </xsl:for-each>
          </xsl:for-each>
          <!--Planificaciones-->

          <w:p>
            <w:r>
              <w:t>Planificaciones</w:t>
            </w:r>
          </w:p>
          <xsl:for-each select="logica.reportes.ReporteApoderado/planificaciones/entry">
            <w:p>
              <w:r>
                <w:t>

                  <xsl:value-of select="Estudiante/nombre"/>/<xsl:value-of select="Estudiante/rut"/>
                </w:t>
              </w:r>
            </w:p>

            <xsl:for-each select="map/entry">
              <w:p>
                <w:r>
                  <w:t>
                    <xsl:value-of select="Asignatura/nombre"/>
                  </w:t>
                </w:r>
              </w:p>

              <xsl:for-each select="Actividad-array/Actividad">
                <w:p>
                  <w:r>
                    <w:t>

                      <xsl:value-of select="tipo"/>/<xsl:value-of select="fecha"/>
                    </w:t>
                  </w:r>
                </w:p>
              </xsl:for-each>
            </xsl:for-each>
          </xsl:for-each>
          <!--Anotaciones-->
          <w:p>
            <w:r>
              <w:t>Anotaciones</w:t>
            </w:r>
          </w:p>
          <xsl:for-each select="logica.reportes.ReporteApoderado/anotaciones/entry">
            <w:p>
              <w:r>
                <w:t>

                  <xsl:value-of select="Estudiante/nombre"/>/<xsl:value-of select="Estudiante/rut"/>
                </w:t>
              </w:r>
            </w:p>

            <xsl:for-each select="Anotacion-array/Anotacion">
              <w:p>
                <w:r>
                  <w:t>
                    <xsl:value-of select="profesor__id__fk/nombre"/>
                  </w:t>
                </w:r>
              </w:p>
              <w:p>
                <w:r>
                  <w:t>
                    <xsl:choose>
                      <xsl:when test="positiva = 'true'">Positiva</xsl:when>
                      <xsl:otherwise>Negativa</xsl:otherwise>
                    </xsl:choose>/<xsl:value-of select="descripcion"/>
                  </w:t>
                </w:r>
              </w:p>
            </xsl:for-each>
          </xsl:for-each>
        </xsl:for-each>
      </w:body>
    </w:wordDocument>
  </xsl:template>
</xsl:stylesheet>
